Loading...
Searching...
No Matches
ID3D12ResourceVtbl Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions

| BEGIN_INTERFACE (ID3D12Resource *This, REFIID riid, _COM_Outptr_ void **ppvObject)
ID3D12Resource _In_ REFGUID _In_ UINT | _In_reads_bytes_opt_ (DataSize) const void *pData)
ID3D12Resource UINT _In_opt_ const D3D12_RANGE | _Outptr_opt_result_bytebuffer_ (_Inexpressible_("Dependent on resource")) void **ppData)
| void (STDMETHODCALLTYPE *Unmap)(ID3D12Resource *This

## Public Attributes

ID3D12Resource * | This
ID3D12Resource _In_ REFGUID | guid
ID3D12Resource _In_ REFGUID _Inout_ UINT * | pDataSize
ID3D12Resource _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void * | pData
ID3D12Resource _In_ REFGUID _In_ UINT | DataSize
ID3D12Resource _In_ REFGUID _In_opt_ const IUnknown * | pData
ID3D12Resource _In_z_ LPCWSTR | Name
ID3D12Resource REFIID | riid
ID3D12Resource REFIID _COM_Outptr_opt_ void ** | ppvDevice
ID3D12Resource UINT | Subresource
ID3D12Resource UINT _In_opt_ const D3D12_RANGE * | pReadRange
UINT | Subresource
UINT _In_opt_ const D3D12_RANGE * | pWrittenRange
ID3D12Resource UINT | DstSubresource
ID3D12Resource UINT _In_opt_ const D3D12_BOX * | pDstBox
ID3D12Resource UINT _In_opt_ const D3D12_BOX _In_ const void * | pSrcData
ID3D12Resource UINT _In_opt_ const D3D12_BOX _In_ const void UINT | SrcRowPitch
ID3D12Resource UINT _In_opt_ const D3D12_BOX _In_ const void UINT UINT | SrcDepthPitch
ID3D12Resource _Out_ void * | pDstData
ID3D12Resource _Out_ void UINT | DstRowPitch
ID3D12Resource _Out_ void UINT UINT | DstDepthPitch
ID3D12Resource _Out_ void UINT UINT UINT | SrcSubresource
ID3D12Resource _Out_ void UINT UINT UINT _In_opt_ const D3D12_BOX * | pSrcBox
ID3D12Resource _Out_opt_ D3D12_HEAP_PROPERTIES * | pHeapProperties
ID3D12Resource _Out_opt_ D3D12_HEAP_PROPERTIES _Out_opt_ D3D12_HEAP_FLAGS * | pHeapFlags

## Detailed Description

Definition at line 3149 of file mini_d3d12.h.

## Member Function Documentation

## BEGIN_INTERFACE()

ID3D12ResourceVtbl::BEGIN_INTERFACE | ( | ID3D12Resource * | This,
|  | REFIID | riid,
|  | _COM_Outptr_ void ** | ppvObject )

References _COM_Outptr_, BEGIN_INTERFACE(), REFIID, riid, STDMETHODCALLTYPE, and This.

Referenced by BEGIN_INTERFACE().

## _In_reads_bytes_opt_()

ID3D12Resource _In_ REFGUID _In_ UINT ID3D12ResourceVtbl::_In_reads_bytes_opt_ | ( | DataSize |  | ) | const

References _In_, DataSize, guid, pData, REFGUID, STDMETHODCALLTYPE, and This.

## _Outptr_opt_result_bytebuffer_()

ID3D12Resource UINT _In_opt_ const D3D12_RANGE ID3D12ResourceVtbl::_Outptr_opt_result_bytebuffer_ | ( | _Inexpressible_("Dependent on resource") |  | ) |

References void().

## void()

ID3D12ResourceVtbl::void | ( | STDMETHODCALLTYPE * | Unmap | ) |

References STDMETHODCALLTYPE, and This.

Referenced by _Outptr_opt_result_bytebuffer_().

## Member Data Documentation

## This

ID3D12Resource * ID3D12ResourceVtbl::This

Definition at line 3160 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_(), BEGIN_INTERFACE(), and void().

## guid

ID3D12Resource _In_ REFGUID ID3D12ResourceVtbl::guid

Definition at line 3169 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_().

## pDataSize

ID3D12Resource _In_ REFGUID _Inout_ UINT* ID3D12ResourceVtbl::pDataSize

Definition at line 3170 of file mini_d3d12.h.

## pData [1/2]

ID3D12Resource _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void* ID3D12ResourceVtbl::pData

Definition at line 3171 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_().

## DataSize

ID3D12Resource _In_ REFGUID _In_ UINT ID3D12ResourceVtbl::DataSize

Definition at line 3177 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_().

## pData [2/2]

ID3D12Resource _In_ REFGUID _In_opt_ const IUnknown* ID3D12ResourceVtbl::pData

Definition at line 3184 of file mini_d3d12.h.

## Name

ID3D12Resource _In_z_ LPCWSTR ID3D12ResourceVtbl::Name

Definition at line 3189 of file mini_d3d12.h.

## riid

ID3D12Resource REFIID ID3D12ResourceVtbl::riid

Definition at line 3194 of file mini_d3d12.h.

Referenced by BEGIN_INTERFACE().

## ppvDevice

ID3D12Resource REFIID _COM_Outptr_opt_ void** ID3D12ResourceVtbl::ppvDevice

Definition at line 3195 of file mini_d3d12.h.

## Subresource [1/2]

ID3D12Resource UINT ID3D12ResourceVtbl::Subresource

Definition at line 3200 of file mini_d3d12.h.

## pReadRange

ID3D12Resource UINT _In_opt_ const D3D12_RANGE* ID3D12ResourceVtbl::pReadRange

Definition at line 3201 of file mini_d3d12.h.

## Subresource [2/2]

UINT ID3D12ResourceVtbl::Subresource

Definition at line 3206 of file mini_d3d12.h.

## pWrittenRange

UINT _In_opt_ const D3D12_RANGE* ID3D12ResourceVtbl::pWrittenRange

Definition at line 3207 of file mini_d3d12.h.

## DstSubresource

ID3D12Resource UINT ID3D12ResourceVtbl::DstSubresource

Definition at line 3220 of file mini_d3d12.h.

## pDstBox

ID3D12Resource UINT _In_opt_ const D3D12_BOX* ID3D12ResourceVtbl::pDstBox

Definition at line 3221 of file mini_d3d12.h.

## pSrcData

ID3D12Resource UINT _In_opt_ const D3D12_BOX _In_ const void* ID3D12ResourceVtbl::pSrcData

Definition at line 3222 of file mini_d3d12.h.

## SrcRowPitch

ID3D12Resource UINT _In_opt_ const D3D12_BOX _In_ const void UINT ID3D12ResourceVtbl::SrcRowPitch

Definition at line 3223 of file mini_d3d12.h.

## SrcDepthPitch

ID3D12Resource UINT _In_opt_ const D3D12_BOX _In_ const void UINT UINT ID3D12ResourceVtbl::SrcDepthPitch

Definition at line 3224 of file mini_d3d12.h.

## pDstData

ID3D12Resource _Out_ void* ID3D12ResourceVtbl::pDstData

Definition at line 3229 of file mini_d3d12.h.

## DstRowPitch

ID3D12Resource _Out_ void UINT ID3D12ResourceVtbl::DstRowPitch

Definition at line 3230 of file mini_d3d12.h.

## DstDepthPitch

ID3D12Resource _Out_ void UINT UINT ID3D12ResourceVtbl::DstDepthPitch

Definition at line 3231 of file mini_d3d12.h.

## SrcSubresource

ID3D12Resource _Out_ void UINT UINT UINT ID3D12ResourceVtbl::SrcSubresource

Definition at line 3232 of file mini_d3d12.h.

## pSrcBox

ID3D12Resource _Out_ void UINT UINT UINT _In_opt_ const D3D12_BOX* ID3D12ResourceVtbl::pSrcBox

Definition at line 3233 of file mini_d3d12.h.

## pHeapProperties

ID3D12Resource _Out_opt_ D3D12_HEAP_PROPERTIES* ID3D12ResourceVtbl::pHeapProperties

Definition at line 3238 of file mini_d3d12.h.

## pHeapFlags

ID3D12Resource _Out_opt_ D3D12_HEAP_PROPERTIES _Out_opt_ D3D12_HEAP_FLAGS* ID3D12ResourceVtbl::pHeapFlags

Definition at line 3239 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h